# removeDefinition abstract method

Future<void> removeDefinition(

1. String name

)

Remove the pod associated with `name`.

This method removes a pod from the registry, making the name available for reuse (depending on implementation constraints).

`name`: The name of the pod to remove

Throws:

- NoSuchPodDefinitionException if no pod exists with the given name

Example:

    if (registry.containsDefinition('oldService')) {
      registry.removeDefinition('oldService');
      print('Removed oldService from registry');
    }

## Implementation

    Future<void> removeDefinition(String name);